Skip to main content
GET
/
payments
/
v1
/
payments
/
verify
/
{reference}
Verify Transaction
curl --request GET \
  --url https://sandbox-api.payfonte.com/payments/v1/payments/verify/{reference} \
  --header 'client-id: <api-key>' \
  --header 'client-secret: <api-key>'
{
  "data": {
    "clientId": "6thbridge",
    "status": "success",
    "statusDescription": "SUCCESSFUL",
    "reference": "DDC20260112090912SALGA",
    "externalReference": "DDC20260112090912SALGA",
    "providersReference": "PIX_57688731248976662631",
    "currency": "USD, NGN, XOF, XAF",
    "charge": 5,
    "totalAmount": 1005,
    "amount": 1000,
    "user": {
      "phoneNumber": "+221786836369"
    },
    "checkoutId": "69651ca8bf1ff6b132d93a47",
    "provider": "wave-senegal",
    "providerLabel": "Wave",
    "channel": "mobile-money",
    "id": "69651ca8bf1ff6b132d93a47",
    "paymentCard": null,
    "paidAt": 1768234193
  }
}

Authorizations

client-id
string
header
required
client-secret
string
header
required

Path Parameters

reference
string
required

Reference of the transaction to verify

Response

200 - application/json
data
object